Absoft User Forum

Support => Linux => Topic started by: ham_pete on September 26, 2011, 03:05:15 PM

Title: missing ld-linux.so.2 in RHEL 6.0 (x86_64)
Post by: ham_pete on September 26, 2011, 03:05:15 PM
Absoft 11.0 - ld-linux.so.2 missing in af90fe64.  I can't find any glibc packages for RHEL 6.0 that install in /lib.  /lib64 has ld-2.12.so (from glibc-2.12-1.25el6_1.3 (x86_64)).  A symbolic link from  /lib/ld-linux.so.2 to this file produces "accessing a corrupted shared library".
Title: Re: missing ld-linux.so.2 in RHEL 6.0 (x86_64)
Post by: forumadmin on September 27, 2011, 08:47:33 AM
The problem is that your system does not have necessary packages for executing 32 bit programs.  You can find
the commands to add this support in the post to this forum titled  "Common Problems Installing Absoft Fortran For Linux" ( http://absoft.absoft.com/newforums/index.php?topic=330.0 ) under the section on RHEL 6.1 64 bit.  Since your subject line listed RHEL 6.0, you should be aware that the minor version numbers for the required  RHEL 6.0 packages may not match the 6.1 versions exactly.